Bug 389611 - yum resolves full path requirements wrong and install wrong package.
yum resolves full path requirements wrong and install wrong package.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.1
All Linux
low Severity urgent
: ---
: ---
Assigned To: James Antill
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-18 13:44 EST by Tuomo Soini
Modified: 2008-05-21 10:21 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0388
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:21:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tuomo Soini 2007-11-18 13:44:14 EST
Description of problem:


Version-Release number of selected component (if applicable):
yum-3.0.1-5.el5
yum-3.0.5
yum-3.0.6

How reproducible:
Always

Steps to Reproduce:
1. yum provides '/usr/lib/libc.so'
2. yum returns list of packages which include _file_ libc.so, including exact
match but other files linke nptl-devel too.

Actual results:
yum install '/usr/lib/libc.so' (as used by mock to install gcc build deps on
x86_64 arch will install nptl-devel.x86_64 (which does provide
/usr/lib64/nptl/libc.so instead of installing correct file glibc-devel.i386

Expected results:
yum install '/usr/lib/libc.so' should install package containing _exact_ match,
not some package including file named '*/libc.so'

Additional info:
yum 2.4.3 and yum-2.6.1 and yum-3.2.7 from fedora 7 do work correctly so this
was correct before, was broken for 3.0 and is fixed in 3.2 yum.
Comment 1 Tuomo Soini 2007-11-18 13:48:47 EST
bug #349801 is this same problem.
Comment 2 Karanbir Singh 2007-11-18 13:50:39 EST
Issue also tracking at http://bugs.centos.org/view.php?id=2449
Comment 3 RHEL Product and Program Management 2007-11-21 14:54:29 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2008-05-21 10:21:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0388.html

Note You need to log in before you can comment on or make changes to this bug.